commit:     da612957d519fb8dd33464060de3500264776f08
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 13 08:05:43 2019 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Feb 13 08:07:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da612957

net-fs/autofs: version bump 5.1.5

Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 net-fs/autofs/Manifest            |   1 +
 net-fs/autofs/autofs-5.1.5.ebuild | 113 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

diff --git a/net-fs/autofs/Manifest b/net-fs/autofs/Manifest
index 604dd9b8076..0fcd312e462 100644
--- a/net-fs/autofs/Manifest
+++ b/net-fs/autofs/Manifest
@@ -1,3 +1,4 @@
 DIST autofs-5.1.2.tar.xz 294792 BLAKE2B 
eeecac768726a1b2d336908b48222c53b1ffbc9eeff7b7f597ccbf55214d35f0d99eaeaa1c065509fffa31ec86729bdd51be873e003aa1fb7d88a9e2ab04f4c8
 SHA512 
435bcb41c9d467947c194d879e46692b5976131b8e923793bdeac34f70420ede740c4d70ec393413fff0b1010495ac7fe5fa8b45a59d15a2430ecae9ec3fe7e1
 DIST autofs-5.1.3.tar.xz 300632 BLAKE2B 
500325ec790304442e896208e94e25cf862621fc2354fa3c31fbf277dcc570d0b2b27894728d9f881efdcca262b1ef6e2c957cd23e2aea1d5b3cd2cd822c813b
 SHA512 
d5363f4442be5258465140920a32cb63340c5da060ef2e66678f003d6a0c00579880837f0a04f59c7bce57d1cbc0f42bdd26546a2195f87e7bd46334c9e32e35
 DIST autofs-5.1.4.tar.xz 304864 BLAKE2B 
7348aa1106554eb765919c765c0585b5d975d7a0ea036dec5b509711bf33cefd0f3e1e857a6865434adabbd1e323cfe8ffb09eb234495672e81101f79b8f4d0f
 SHA512 
1ef48800a1e44d6bf7048923109f3b8299ef266ff0fbaf5f979c32f42c6c5e28620c1876f64b9d913fddb69244ff83226c01c666401ff6271dd6b53d31860589
+DIST autofs-5.1.5.tar.xz 313476 BLAKE2B 
9822f6eb6294a0ee14b08f7982bf6008eb9ac8a79f89cdf3ffa0ed234b83c932db1646fc5591269000372dbfb95ce1b9ded040f0724a7eb4b3888caf20f56a20
 SHA512 
c8138929a9e2cfa7e0096c1d490b9d7275d1d43a50f5f87ad457bdd9a49c7dd13a4aa5d86ab1e028d66dae630e1a1342661844e5775625fe585867f0f4778898

diff --git a/net-fs/autofs/autofs-5.1.5.ebuild 
b/net-fs/autofs/autofs-5.1.5.ebuild
new file mode 100644
index 00000000000..f120c687a17
--- /dev/null
+++ b/net-fs/autofs/autofs-5.1.5.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info multilib systemd toolchain-funcs
+
+PATCH_VER=
+[[ -n ${PATCH_VER} ]] && \
+       
PATCHSET_URI="https://dev.gentoo.org/~jlec/distfiles/${P}-patches-${PATCH_VER}.tar.lzma";
+
+DESCRIPTION="Kernel based automounter"
+HOMEPAGE="http://www.linux-consulting.com/Amd_AutoFS/autofs.html";
+SRC_URI="
+       mirror://kernel/linux/daemons/${PN}/v5/${P}.tar.xz
+       ${PATCHSET_URI}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="-dmalloc ldap +libtirpc mount-locking sasl"
+
+# USE="sasl" adds SASL support to the LDAP module which will not be build. If
+# SASL support should be available, please add "ldap" to the USE flags.
+REQUIRED_USE="sasl? ( ldap )"
+
+# currently, sasl code assumes the presence of kerberosV
+RDEPEND=">=sys-apps/util-linux-2.20
+       dmalloc? ( dev-libs/dmalloc[threads] )
+       ldap? ( >=net-nds/openldap-2.0
+               sasl? (
+                       dev-libs/cyrus-sasl
+                       dev-libs/libxml2
+                       virtual/krb5
+               )
+       )
+       libtirpc? ( net-libs/libtirpc )
+       !libtirpc? ( elibc_glibc? ( sys-libs/glibc[rpc(-)] ) )
+"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       virtual/yacc
+       libtirpc? ( net-libs/rpcsvc-proto )
+"
+
+CONFIG_CHECK="~AUTOFS4_FS"
+
+src_prepare() {
+       # Upstream's patchset
+       if [[ -n ${PATCH_VER} ]]; then
+               EPATCH_SUFFIX="patch" \
+                       epatch "${WORKDIR}"/patches
+       fi
+
+       sed -i -e "s:/usr/bin/kill:/bin/kill:" samples/autofs.service.in || die 
#bug #479492
+
+       # need for install autofs.service
+       sed -i -e "/^SUBDIRS/s/$/ samples/g" Makefile.rules || die
+
+       default
+}
+
+src_configure() {
+       # bug #483716
+       tc-export AR
+       # --with-confdir is for bug #361481
+       # --with-mapdir is for bug #385113
+       local myeconfargs=(
+               --with-confdir=/etc/conf.d
+               --with-mapdir=/etc/autofs
+               $(use_with dmalloc)
+               $(use_with ldap openldap)
+               $(use_with libtirpc)
+               $(use_with sasl)
+               $(use_enable mount-locking)
+               --without-hesiod
+               --disable-ext-env
+               --enable-sloppy-mount # bug #453778
+               --enable-force-shutdown
+               --enable-ignore-busy
+               --with-systemd="$(systemd_get_systemunitdir)" #bug #479492
+               RANLIB="$(type -P $(tc-getRANLIB))" # bug #483716
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       if kernel_is -lt 2 6 30; then
+               # kernel patches
+               docinto patches
+               dodoc patches/${PN}4-2.6.??{,.?{,?}}-v5-update-????????.patch
+       fi
+       newinitd "${FILESDIR}"/autofs5.initd autofs
+       insinto etc/autofs
+       newins "${FILESDIR}"/autofs5-auto.master auto.master
+}
+
+pkg_postinst() {
+       if kernel_is -lt 2 6 30; then
+               elog "This version of ${PN} requires a kernel with autofs4 
supporting"
+               elog "protocol version 5.00. Patches for kernels older than 
2.6.30 have"
+               elog "been installed into"
+               elog "${EROOT}usr/share/doc/${P}/patches."
+               elog "For further instructions how to patch the kernel, please 
refer to"
+               elog "${EROOT}usr/share/doc/${P}/INSTALL."
+               elog
+       fi
+       elog "If you plan on using autofs for automounting remote NFS mounts,"
+       elog "please check that both portmap (or rpcbind) and rpc.statd/lockd"
+       elog "are running."
+}

Reply via email to